## NMDeviceAdsl

NMDeviceAdsl

## Functions

GQuark | nm_device_adsl_error_quark ()
GObject * | nm_device_adsl_new ()
gboolean | nm_device_adsl_get_carrier ()

## Properties

gboolean | carrier | Read

## Types and Values

enum | NMDeviceAdslError
#define | NM_DEVICE_ADSL_ERROR
#define | NM_DEVICE_ADSL_CARRIER

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceAdsl

## Description

## Functions

### nm_device_adsl_error_quark ()

    GQuark
    nm_device_adsl_error_quark (void);

Registers an error quark for NMDeviceAdsl if necessary.

#### Returns

the error quark used for NMDeviceAdsl errors.

### nm_device_adsl_new ()

    GObject *
    nm_device_adsl_new (DBusGConnection *connection,
                        const char *path);

Creates a new NMDeviceAdsl.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new device.

[transfer full]

### nm_device_adsl_get_carrier ()

    gboolean
    nm_device_adsl_get_carrier (NMDeviceAdsl *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceAdsl |

#### Returns

`TRUE` if the device has carrier

## Types and Values

### enum NMDeviceAdslError

#### Members

NM_DEVICE_ADSL_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_ADSL_ERROR_NOT_ADSL_CONNECTION | the connection was not of ADSL type |
NM_DEVICE_ADSL_ERROR_INVALID_ADSL_CONNECTION | the ADSL connection was invalid |

### NM_DEVICE_ADSL_ERROR

    #define NM_DEVICE_ADSL_ERROR nm_device_adsl_error_quark ()

### NM_DEVICE_ADSL_CARRIER

    #define NM_DEVICE_ADSL_CARRIER "carrier"

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Flags: Read

Default value: FALSE